#!/bin/bash

XCP_CONFIG="$HOME/.config/xcompmgr"

run() {
	killall xcompmgr 2>/dev/null
	echo "$1" > $XCP_CONFIG
	xcompmgr $1 &
}

case "$1" in
	"unset")
		killall xcompmgr
		rm $XCP_CONFIG
		;;
	"set")
		run
		;;
	"setshaded")
		run "-CfF"
		;;
	"setshadowshade")
		run "-CcfF"
		;;
	"restore")
		if [ -f $XCP_CONFIG ]; then
			XCP_ARG=$(cat $XCP_CONFIG)
			killall xcompmgr 2>/dev/null
			xcompmgr $XCP_ARG &
		fi
		;;
	*)
		echo "This script accepts the following arguments: set, unset, setshaded, setshadowshade, restore"

esac
